2013-06-19 arnaud.fontaine
* Add 'does' to the closed-class words list in naming convention checking script.

2012-10-19 yusei
* Redirect to view form with a nice message if selected workflow action is not available. To show a workflow dialog which absolutely fail is not good.

2012-10-11 arnaud.fontaine
* Fix dead ProxyField after renaming of ProxyFields (now available in erp5_core_proxy_field_legacy).

2012-09-04 arnaud.fontaine
* message_attribute_does_not_match was incorrectly renamed to message_attribute_match when migrating StringAttributeMatch constraint from filesystem to ZODB. Also, use message_attribute_not_match instead of message_attribute_does_not_match to follow ERP5 naming convention.

2012-07-20 tatuya
* Set max_row 0 on IdTool_zGetValueList so that we can get all the records of portal_ids table when there are more than 1000 id_group.

2012-03-07 arnaud.fontaine
* Allow to choose preferred source code editor in Preference view.
* Use source code editor defined in Preference for Component_view.

2012-03-06 arnaud.fontaine
* Remove Accessor Component, Interface Component and Mixin Component Portal Types until implementation has been written.

2012-03-06 arnaud.fontaine
* Allow to specify version per Components in migration view.

2012-03-06 arnaud.fontaine
* Show Component versions defined on the BusinessTemplate in ZODB Migration view.

2012-03-06 arnaud.fontaine
* Add registered version priority selection on BusinessTemplate_view for registering version priority of ZODB Components only for now.

2012-03-05 arnaud.fontaine
* Allow to run ZODB Test Component tests from Component Tool, likewise Class Tool.

2012-03-03 arnaud.fontaine
* Remove defined groups on ZODB Component portal types as it should not be considered as a Document for DMS for example.

2012-03-02 arnaud.fontaine
* Implement Test Component.

2012-03-02 arnaud.fontaine
* Do not acquire local roles for Document Component Portal Type.

2012-03-02 arnaud.fontaine
* Likewise Document Component, add SortIndex Property Sheets to Extension Component Portal Type.

2012-02-29 arnaud.fontaine
* Display error messages in Component_view which may have been raised when validating a Component in draft state.

2012-02-29 arnaud.fontaine
* Add portal_components to keep path list.

2012-02-29 arnaud.fontaine
* Add global action to manage ZODB Components.

2012-02-29 arnaud.fontaine
* Do not reset Components on ComponentTool _setObject and _delObject, instead reset in BusinessTemplate to avoid reset being triggered when a new Component is created.

2012-02-28 arnaud.fontaine
* Rename version_priority ERP5Site property to version_priority_list.

2012-02-28 arnaud.fontaine
* Use a ListField for version and proxify error messages field in Component view.

2012-02-28 arnaud.fontaine
* Show Component version on ComponentTool view.

2012-02-28 arnaud.fontaine
* Add Developer Role on portal_components which is the only Role with write permissions on portal_components and subobjects.
* Modify component_validation_workflow to not set Permissions and let it get it from portal_components instead.

2012-02-25 arnaud.fontaine
* Add a Python script which performs the redirect rather than doing it in BusinessTemplate class.
* Rename *MigrateAllComponentFromFilesystem to *MigrateSourceCodeFromFilesystem.

2012-02-25 arnaud.fontaine
* Rename Component modified transition to modify as per naming conventions.

2012-02-25 arnaud.fontaine
* Merge component_interaction_workflow into dynamic_class_generation_interaction_workflow.

2012-02-25 arnaud.fontaine
* Remove useless DocumentConstraint Property Sheet for Document Component.

2012-02-24 arnaud.fontaine
* In Component view, show the error field in the left.

2012-02-24 arnaud.fontaine
* In Component view, display the error field with error CSS class to make it more visible.

2012-02-22 arnaud.fontaine
* Split up state and error message into two separate fields.
* Always set the Component state to modified upon modification, then check the consistency.

2012-02-21 arnaud.fontaine
* Do not update automatically the component module registry for reliability's sake.

2012-02-20 arnaud.fontaine
* Add Business Template action to import Document and Extensions automatically after giving the version.

2012-02-14 arnaud.fontaine
* Add component_interaction_workflow to Component Tool.

2012-02-11 arnaud.fontaine
* Update component module registry upon validate/invalidate.

2012-02-07 arnaud.fontaine
* Use resetOnceAtTransactionBoundary when a Component has been modified.

2012-02-02 arnaud.fontaine
* Perform revalidate automatically rather than requiring a manual action.

2012-02-01 arnaud.fontaine
* Replace comments by description field in Component_view.

2012-01-27 arnaud.fontaine
* For Component_view, add version, comments and validation state fields, and move editor field to the bottom to have more room for editing.

2012-01-27 arnaud.fontaine
* Use Ace editor to edit source code.

2012-01-27 arnaud.fontaine
* Add component_validation_workflow which supports revalidation.

2012-01-25 arnaud.fontaine
* Add missing skin folder.

2012-01-24 arnaud.fontaine
* Use DocumentComponent document class for Document Component Portal Type.

2012-01-23 arnaud.fontaine
* Rename DocumentComponent to Component.

2012-01-19 arnaud.fontaine
* Extension Component has now its own class (meaningful for importing from filesystem).

2012-01-18 arnaud.fontaine
* Complete ComponentTool view.
* Implement Extension Component.
* Complete ExtensionComponent view.
* Add component_interaction_workflow to reset erp5.component when modifying the source code of an Extension Component.

2012-12-20 arnaud.fontaine
* Add initial ZODB component prototype.

2011-10-25 yusei
* Fix Base_resetListSetting. It did not work with "Set List Setting" dialog. Now it accepts any parameters.

2011-06-23 yusei
* Add an action to call alarm.activeSense() for developer.

2011-06-07 yusei
* Set auditor proxy role to Base_getConversionFormatItemList. Anybody should be able to view conversion format list.

Fix CategoryTool_constructCategoryTableToExport. Sometimes categories were wrongly sorted and incorrect category definitions were exported.

2011-02-25 arnaud.fontaine
* Proxify all the fields in BaseType_view and PreferenceType_view.
* Fix type_interface_list which was not displayed properly in BaseType_view and PreferenceType_view.

2011-02-24 arnaud.fontaine
* Add Preference Tool Type and Preference Type portal types and their views.
* Set Preference and System Preference portal type class to Preference Type.
* Set Preference Tool portal type class to Preference Tool Type.

2011-02-22 Kazuhiko
* Improve and proxify ERP5Site_viewCreateModuleDialog.

2011-02-02 arnaud.fontaine
* Remove Category Acquired Membership Arity Constraint portal type in favor of Category Membership Arity Constraint and add a boolean in the view to handle both.
* Add a boolean in Category Existence Constraint view to handle Category Acquired Existence Constraint.
* Add missing Active Process in Activity Tools allowed_content_type.
* constraint_portal_type for CategoryExistenceConstraint_view, CategoryMembershipArityConstraint_view and CategoryRelatedMembershipArityConstraint_view should have always been a string to allow definition with a TALES Expression.

2011-02-02 nicolas.dumazet
* Add Activity Tool and Active Processes portal types

2011-02-01 nicolas.dumazet
* Changes to dynamic_class_generation_interaction_workflow:
* use resetDynamicDocumentsOnceAtTransactionBoundary so that several changes to portal types during the same transaction are cheaper.
* change trigger to happen after action since it's always queued at end of transaction anyway
* add ERP5TypeInformation._setBaseCategoryList to triggers as well so that accessors are regenerated when base categories are changed.

2011-01-28 Kazuhiko
* support 'Paths of objects whose workflow history should be kept' and 'Paths of objects that should be kept' in Business Template definition.
* support more 'Removed but ...' and 'Modified but ...' cases in business template installation dialogue.

2011-01-13 nicolas.dumazet
* add portal types for Tools bundled in erp5_core: Notification Tool was missing

2010-12-28 nicolas.dumazet
* add test_tales_expression field to Predicate_view

2010-12-27 nicolas.dumazet
* Fix list method on portal_property_sheets view

2010-12-13 nicolas.dumazet
* Add Tool portal types for Tools added through ERP5Site.manage_addERP5Site

2010-12-07 arnaud.fontaine
* Add portal_property_sheets to the Tools.

2010-12-07 arnaud.fontaine
* Modify dynamic_class_generation_interaction_workflow to reset the dynamic modules when calling setTypePropertySheetList().
* Fix description of Constraints portal types for ZODB Property Sheets.

2010-12-06 nicolas.dumazet
* rename Synchronisation Tool to Synchronization Tool for consistency
* fix type classes on tool portal types

2010-12-01 arnaud.fontaine
* Add Property Type Validity Constraint portal type and its view for ZODB Property Sheets.

2010-11-30 arnaud.fontaine
* Add Transaction Quantity Value Validity Constraint portal type and its view for ZODB Property Sheets.

2010-11-30 arnaud.fontaine
* Add Transaction Quantity Value Feasability Constraint portal type and its view.

2010-11-30 arnaud.fontaine
* Add Trade Model Line Cell Consistency Constraint portal type and its view.

2010-11-30 arnaud.fontaine
* Add Resource Measures Consistency Constraint portal type and its view.

2010-11-30 arnaud.fontaine
* Add Accounting Transaction Balance Constraint portal type and its view.

2010-11-29 arnaud.fontaine
* Add TALES Constraint portal type and its view.

2010-11-29 arnaud.fontaine
* Add Category Related Acquired Membership Arity Constraint portal type and its view.

2010-11-29 arnaud.fontaine
* Add Category Acquired Membership Arity Constraint portal type.

2010-11-26 arnaud.fontaine
* Add Category Membership Arity Constraint portal type and its views.
* Add missing form action to ZODB Constraints.

2010-11-26 arnaud.fontaine
* Add Content Existence Constraint portal type and its views.

2010-11-25 arnaud.fontaine
* Reset the dynamic documents at the end of the transaction.
* Merge BaseCategory_resetDynamicClasses into ChangeProperty_resetDynamicClasses.

2010-11-25 arnaud.fontaine
* Add Attribute Equality Constraint portal type and its views.
* Set Property Existence Constraint action_type for predicate view to object_view.

2010-11-16 arnaud.fontaine
* read and write permissions of Acquired and Standard Property view now contains the list of available permissions, rather than entering them manually.

2010-11-08 nicolas.dumazet
* Allow changing preferences even if OOo server is not running

2010-11-04 nicolas.dumazet
* provide field in BaseType_view to set up interfaces on portal type classes

2010-11-01 nicolas.dumazet
* remove my_type_factory_method_id from BaseType_view as type_class is replacing this field with portal type classes code
* export migrated portal types with new type_class property

2010-10-28 arnaud.fontaine
* remove portal_property_sheets as it is now created in ERP5Site.py.

2010-10-26 nicolas.dumazet
* fix type classes of Property Sheet Tool and Property Sheet
* add Template Tool filter for Portal Type classes XML changes

2010-10-26 arnaud.fontaine
* add id fields for all the views for ZODB Property Sheets.
* add dynamic_class_generation_interaction_workflow to Property Sheet Tool.
* clean up interactions in dynamic_class_generation_interaction_workflow.
* add Category Existence Constraint and Property Existence Constraint to dynamic_class_generation_interaction_workflow.

2010-10-20 Kazuhiko
* use objectValues instead of searchFolder for portal_caches and portal_memcached's view.

2010-10-19 arnaud.fontaine
* add views and portal types for category and property existence constraints.
* fix field names in Property Sheet and Property Sheet Tool views.
* add description to Property Sheet view.

2010-10-08 arnaud.fontaine
* rename base_type_interaction_workflow to portal_type_class_interaction_workflow and add interactions specific to ZODB Property Sheets
* modify type class of Standard Property, Acquired Property and Dynamic Category Property portal types to their respective documents.

2010-10-08 yusei
* Fix BaseType_viewTranslation. getTranslationDomainNameList method used by listbox_domain_name was moved to property sheet tool.

2010-09-28 nicolas.dumazet
* add portal type Event so that temporary Event objects can be created by NotificationTool
* document abstract portal types usage.

2010-09-27 nicolas.dumazet
* do not use manage_addTypeInformation anymore

2010-09-27 nicolas.dumazet
* correct regular expressions in base_type_interaction_workflow trigger methods
* add portal type classes-related fields on BaseType_view

2010-09-26 nicolas.dumazet
* Reload portal type classes generated from Base Type objects if a Type Definition object is modified.

2010-09-24 arnaud.fontaine
* Add action "Configure Property Sheets".

2010-09-24 arnaud.fontaine
* Add Portal Types and views for web-based Property Sheets.
* Add elementary_type to portal_categories to represent Property Sheets types.

2010-09-18 nicolas.dumazet
* add Amount, Movement and portal types to be able to create temporary objects with portal types as classes

2010-09-10 nicolas delaby
* Declare new mimetype text/csv
* Accept text/csv as input mimetype for csv_to_text portal_transform chain.

2010-09-10 nicolas.dumazet
* Property Sheet portal type and view

2010-09-07 nicolas.dumazet
* Placeholder for Property Sheet Tool, and related Portal Type

2010-08-17 nicolas.dumazet
* Add colors to State column of BusinessTemplate_viewInstallationDialog

2010-07-27 yusuke
* Exporting category list limits to appropriate properties.

2010-07-15 yusei
* Fix a bug on CategoryTool_getPreferredPredicateCategoryParentUidItemList to support multimembership category list.

2010-07-13 yusei
* Support more than four dimensional matrix.

2010-07-02 Kazuhiko
* Allow Manager to invoke validation_workflow's actions.

2010-06-21 nicolas.dumazet
* Add Resource_getAssetPrice to compute asset prices.

2010-06-21 yo
* Rewrite InventoryModule_reindexMovementList, as this script still assumed the older implementation of reindexObject which indexed a delta for each inventory movement, but now we index all movements from each inventory document at a time, thus this script started to do needless indexing.

2010-06-14 Kazuhiko
* Index portal_type in translation table to avoid unexpected verbose results of translated state search.

2010-06-09 yusei
* Fix a typo in CategoryTool_getPreferredPredicateCategoryParentUidItemList.

2010-06-09 yusei
* Add predicate category field to system preference. This preference is used for optimized predicate category search("non-left join version").

2010-06-08 yusei
* Add CategoryTool_getPreferredPredicateCategoryParentUidItemList for optimized predicate category search.

2010-06-04 yo
* Do not enable reindexing by default. Who has approved such a change? It is up to the system administrator to decide when the catalog can be cleared.

2010-05-20 yo
* Movement_getPriceCalculationOperandDict must take into account delivery types when getting Trade Conditions.

2010-05-19 yusei
* Add two work lists to validation workflow for supply portal types.

2010-04-29 kazuhiko
* Allow acquisition from parent in order type and delivery type for specialise base category.

2010-04-07 ivan
* Add captcha form field to library

2010-04-07 yusei
* Fix ERP5Site_zGetLatestIndexedObjectList. Its id attribute value was wrong.

2010-03-17 yusei
* Fix listbox list actions on Documentation_view.

2010-03-02 fabien
* set a tales expression on field Base_viewFieldLibrary/my_view_mode_listbox to automatically generate selection_name.

2010-03-02 yusei
* Remove short title.

2010-03-02 nicolas.dumazet
* Extend zGetInventoryList to also retrieve transformed inventory

2010-02-09 yo
* Add a new field, my_base_unit_price, into Base_viewFieldLibrary.

2010-02-09 yo
* Add a new field, my_price, into Base_viewFieldLibrary. This should be used only for unit price but not for total price.

2010-01-21 yo
* Extend the jump script to exchange the relation form dynamically.

2010-01-08 yusuke
* Fixed a problem view of workflow history was not able to paging.

2010-01-05 yusuke
* Add a category exporting feature

2010-01-05 yusei
* Update ERP5Site_reindexAll and index some tools correctly.

2009-12-04 jm
* Allow use of ParallelListFields in ListBox cells. Fields using
Base_hashCategoryList requires ERP5Form to be up-to-date.

2009-11-18 yo
* Move localization-related preferences to General from UI.

2009-11-13 Tatuya
* Fix the domain name listbox on Tranlsation tab in Portal Type Information to show the content_translation domain.

2009-10-15 Ivan
* Add system preference for enabling hiding listbox rows if no search criterion is present.

2009-10-05 Kazuhiko
* disable cache in portal_transforms

2009-09-07 yusuke
* Replace ERP5Report to ERP5Form and ReportBox

2009-07-13 tatuya
* Remove None value from the request parameters to prevent creating unnecessary ' is Null' queries when searching via the search dialogs

2009-07-06 nicolas
* add memcached_plugin_interaction_workflow to update related Distributed Ram Cache Plugins

2009-06-30 Danièle
* Create Portal Type for Synchronisation Tool

2009-06-15 nicolas
* Add default_memcached_plugin object for initial setup

2009-06-03 nicolas
*Delete SQLCache and ZODBCache as RamCache and DistributedRamCache will provide all needs.

2009-05-15 yusei
* Add a Editor Field template field to Base_viewFieldLibrary. my_text_content was not appropriate in general.

2009-05-14 nicolas
* add new Zodb Cache Portal Type

2009-05-14 yusei
* Remove default tales expression from my_text_content field in Base_viewFieldLibrary. That used a CRM specific script.

2009-05-08 yusei
* Add a template field for Link Field to Base_viewFieldLibrary.
* Add template fields for Multi Checkbox Field and Input Button Field to Base_viewFieldLibrary.
* Update xml format.

2009-04-30 yusei
* Add generic fields to the default field library.

2009-04-18 Kazuhiko
* Version 5.4.1

2009-01-05 nicolas
add TypeBasedMethod for all Deliveries which remove source_reference and destination_reference after cloning

2008-11-28 ivan
* Extend Business Template user interface to handle skin with greater control

2008-11-13 ivan
* Extend preferences to save max user inactivity duration before user is logged out
* Move portal_sessions from erp5_commerce

2008/11/13 yusei
* Start to develop version 5.4.

2008-10-30 ivan
* make ParallelListField always show default empty ListField at bottom not depending on form's validation status

2008-10-24 yusei
* Cleaned up Base_getTranslatedWorkflowStateItemList and separate generic function to Base_getWorkflowStateItemList.

2008-10-24 yusei
* Fixed Folder_generateWorkflowReport. This did not work if there is interaction workflow.

2008-10-22 Romain
* portal_transforms subobject should exported with the path parameter of the business template
* Add png_to_text transformation

2008-10-20 Thibaut
* Allow portal_transforms to extract content.xml file from odt file (zip file).

2008-10-16 Nicolas
* Allow portal_transforms to convert html content to odt, pdf, doc by using oood

2008-10-14 yusei
* Start to develop version 5.3.

2008-09-24 yusei
* Update xml format.

2008-09-16 Kazuhiko
* move Divergence Tester, Delivery Builder, Delivery Tool, Order Builder, Order Tool, delivery_causality_interaction_workflow, delivery_causality_workflow, delivery_movement_causality_interaction_workflow, delivery_movement_simulation_interaction_workflow, delivery_simulation_interaction_workflow, order_movement_simulation_interaction_workflow, order_simulation_interaction_workflow and simulation_movement_causality_interaction_workflow from erp5_core to erp5_base.

2008-09-09 yusei
* Fixed wrong messages.

2008-09-07 yusei
* Replace "+" with " " in translation messages.

2008-09-04 yusei
* Update English messages.

2008-09-03 yusei
* Remove Route Tool portal type which is not used.

2008-08-28 yusei
* Use Base_translateString or translateString instead of N_.

2008-08-11 vincentd
* fix Base_jumpToRelatedObject to avoid a probleme with bad form_id when jumping on a single object

2008-08-06 jerome
* Change Movement_getPriceCalculationOperandDict to use source_section / destination_section instead of source / destination.
* Change Movement_getPriceCalculationOperandDict to give priority to supply lines contained in related trade conditions.

2008-08-05 vincentd
* Add two new parameter for jumping with the method Base_jumpToRelatedObject, one for
chose to take another item as context and another for choosing a different form_id if there is only one object for jump

2008-07-29 nicolas
Change brain class of TrackingList results

2008-06-27 yusei
* Start to develop version 5.2.

2008-06-26 yusei
* Revise version to 5.1.

2008-06-20 yusei
* Added Logical Compact Path, Indented Compact Title and  removed Compact Title in ui preference.

2008-06-12 aurel
* Set description on field from glossary

2008-06-11 yusei
* Move Event_send and mail templates to erp5_base. erp5_core should be a minimum.

2008-06-10 yusei
* Move Event_send and mail templates from erp5_crm. It supports html email by default.

2008-06-04
* remove bad commit

2008-05-15 yusei
* Add portal_transforms and mimetypes_registry. portal_notifications needs them.

2008-04-17 yusei
* Revise version to 5.0.

2008-04-15 Fabien
* add a field librairy Category_viewFieldLibrary and proxify BaseCategory_view and Category_view
* add short_title field in Category_view

2008-04-01 Jerome
* Add utility scripts to help in writing domain generation scripts: BaseDomain_generateDomainFromCurrentDocument and BaseDomain_generateDomainFromSelection.

2008-03-28 Yusei
* Removed causality from acquired base categories on destination_administration,
destination_decision, destination_payment,
source_administration, source_decision,
source_payment.

2008-03-27 Kazuhiko
* clear order/delivery on related simulation movements only when its value is the deleted movement.

2008-03-26 Yusei
* Added contribution registry tool. This will replace content_type_registry.

2008-03-20 Jerome
* don't get acquired categories in ERP5Type_getSecurityCategoryFromContent and introduce ERP5Type_getSecurityAcquiredCategoryFromContent to get acquired categories.
* deprecate ERP5Type_getSecurityCategoryFromArrow for ERP5Type_getSecurityCategoryFromContent

2008-03-18 Nicolas
*Add support of OOoChart in ERP5
*Modifiy Preference_viewHtmlStyle Form
*Add skin Folder with default Page Template

2008-03-17 Yusei
* erp5_core provides general good set of content type registry by default, until we have to handle content type registry seriously.
* Fixed wrong url on virtual host environment.

2008-03-14 Yusei
* Remove portal_contributions. erp5_ingestion will provides the tool.

2008-03-07 Kazuhiko
* display Enabled flag on alarm list view.

2008-01-24 Yusei
* Added a user interface for template system(manage template of document).

2008-01-14 Yusei
* Added scriptable key field in business template. Please use revision 18701 or newer of ERP5 product.

2008-01-07 Nicolas
Add new XSL stylesheet for ERP5 OOo Templates which able to transform any CDATA section, tagged with 'TALES' in style name, into attribute tal:content

2007-11-29 yusei
* Membership criteria list in Predicate_view is sorted. Please use revision 17909 or newer version of CMFCategory.

2007-11-29 yusei
* Fixed Predicate_edit to use ignore_layout and editable_mode parameters in redirect url.

2007-11-19 yusei
* Switch off acquire_local_roles on Simulation Movement.

2007-11-14 kazuhiko
* check if simulation state is draft or not before calling 'calculate' workflow method otherwise causality state can remain calculating.

2007-11-05 alex
* add rule_validation_workflow

2007-10-30 yo
* Add pricing_interaction_workflow.

2007-10-29 jerome
* Add field libraries for report and dialogs. Increase version to 1.0rc13

2007-10-25 romain
* Move Archive Tool to erp5_archive.

2007-10-10 yo
* Support tools in Business Templates.

2007-09-08 yusei
* Add Module Property action as global action.

2007-09-06 alex
* rename simulation_movement_interaction_workflow to simulation_movement_causality_interaction_workflow
* follow style used in delivery_causality_interaction_workflow

2007-09-06 aurel
* add archive tool

2007-09-04 yo
* Fix the way of calling reindexObject in InventoryModule_reindexMovementList

2007-09-04
*Add style in get_ODSStyleSheet

2007-08-29 yusei
* Add Folder_viewModule.

2007-08-29 jerome
* New version with field libraries

2007-08-13 jerome
* Add some global actions for history, metadata, search, sort_on and list_ui

2007-07-30 yo
* Add Movement_getPriceCalculationOperandDict.

2007-02-28 Aurel
* define most cache

2006-01-09 Vincent
* Remove catalog
* Add a dependency on erp5_catalog

2006-11-24 Aurel
* add reset parameter when calling Base_viewWorklist

2006-10-31 Seb
* Added everything necessary to use portal_caches

2006-10-30 Kevin
* Fix ID handling in category importing tool. Now the 4 category tree representation (described in the openoffice example file) can be imported.

2006-10-04 Kevin
* Add Tips on category import fast input screen to help user.

2006-10-03 Kevin
* Mass category import from an OpenOffice document is now much more flexible.

2006-09-15 Aurel
* remove immediateReindex and pass parameter explicitely in Base_validateRelation

2006-09-15 Aurel
* set flag to update bt workflow

2006-08-25 Stefan
* Update naming convention script.

2006-08-23 jerome
* remove Base_TranslateString

2006-08-22 bartek
* return select_expression from z_search_result

2006-08-11 jerome
* when copy/paste a person, reset the login on the new person for ERP5Security.

2006-08-06 jerome
* remove skins to create module using a scribus file; they are now part of erp5_pdf_editor.

2006-07-21 aurel
* register checked uid in selection in Base_callDialogMethod
* execute Base_setDefaultSecurity when creating new module

2006-07-20 aurel
* define priority on action when creating module

2006-07-20 Kevin
* Add description on validation workflow.

2006-06-30 Thomas
* Added PlanningBox 3rd part scripts, including stats and axis generation.

2006-06-28 Kevin
* Change Categories' int_index property label to 'Sort Index'.

2006-06-26 vincent
* Remove Base_call[View|List]DialogMethod. Everything has been merged & cleaned in Base_callDialogMethod.

2006-06-22 Vincent
* Add xhtml-style-related scripts.

2006-06-21 Kevin
* Add Modification and Creation date on Base_viewMetadata.

2006-06-19 aurel
* Add field to define minutes periodicity.

2006-06-15 Kevin
* Move fulltext indexing ZSQLMethods from erp5_web to erp5_core.
* Commit Vincent's DocumentHelper Work.

2006-06-08 Kevin
* Update ERP5Site_checkNamingConventions Todo list.

2006-06-02 Kevin
* Move OpenOffice Importer tool from erp5_core to erp5_base.
* Update BT description.

2006-06-01 Kevin
* Add a description to explain the purpose of "Open Office Generic Importer".

2006-05-23 aurel
* add simulation_state column in item and fix Resource_zGetTrackingList

2006-05-22 jerome
* Add missing error_message variable to validation_workflow

2006-05-22 Vincent
* Add "developer mode" (preference page & common scripts).

2006-05-15 Kevin
* Add some tools to import OOo calc document and transform spreadsheet data to ERP5 objects.

2006-05-15 Alex
* Update maintainers.

2006-05-12 yo
* Add Maintainers to BusinessTemplate_view.

2006-05-10 Jerome
* merge Base_jumpToRelationObject and Base_jumpToRelatedObject implementation

2006-05-10 Alex
* Movement_lookupPrice uses the new Resource.getPrice

2006-05-10 Seb
* Modified Base_getWorkflowHistoryItemList

2006-05-08 aurel
* set update tool and update workflow to 0 by default

2006-05-04 jerome
* Export with new format catalog methods.

2006-05-04 yo
* Rewrite Folder_show.

2006-05-04 Kevin
* Increase url lenght test Base_callDialogMethod.

2006-04-25 yo
* Folder_deleteObjectList must redirect to the original form with an error message when nothing is selected.

2006-04-25 yo
* Folder_cut must redirect to the original form even when it fails.
* Reduce the duplicated code in Folder_copy.

2006-04-18 jerome
* update ERP5Site_reindexAll to reindex portal_alarms and to reindex the whole site in 2 stages, persons in stage 1, and everything again in stage 2 (ERP5Security requires Persons to be indexed)

2006-04-14 aurel
* add field on Preference_view for preferred date order

2006-04-13 Seb
* Removed many related keys because they are automatically generated now

2006-04-10 Kevin
* Add validateEntity script on validation_workflow to set the region property as required in the 'validated' state.
* Replace the latter mechanism with constraint on Entity.

2006-04-05 aurel
* Add field for extensions in business template and make use of field for update of workflow and tool usable by any business template.

2006-04-05 Romain
* Modify Base_editRelation, in order to remove cookie.

2006-04-03 Romain
* Modify Base_editRelation, in order to reduce URL lenght.

2006-03-31 Kevin
* Add section_portal_type_list parameter to Resource_zGetInventory. This addition is here to help us break acquisition of 'group' property from Person to Organisation. The latter behaviour break accounting calculations.

2006-03-27 Kevin
* Recreate "parent" Base Category to make the indexing of this category working.

2006-03-27 romain
* Fix Base_editRelation.

2006-03-23 aurel
* move assignment workflow to erp5_base

2006-03-23 jerome
* Remove preferred visible modules.

2006-03-22 Kevin
* Get dynamiccaly the list of translated simulation state in AccountingPreferences_view.
* Change title of my_preferred_accounting_transaction_gap for consistency.

2006-03-21 Seb
* moved catalog methods here

2006-03-13 Aurel
* modify Base_getWorkflowHistoryItemList and Workflow_statusModify in order to take Message class into account

2006-03-09 Seb
* Added try/except in Base_translateString

2006-03-08 Kevin
* Allow Accounting Transaction and similar as subobjects of Preference but hide them (feature needed for jp's template system).
* Replace getPreferredDateInputOrder() calls by getPreferredDateOrder()
* Call Base_translateString() instead of Base_TranslateString()

2006-03-08 JPS
* Make sure group membership is acquired through careers and subordination
* Make sure role is acquired from Career

2006-03-07 Kevin
* Fix mass workflow status modification (Folder_modifyWorkflowStatus and Base_callViewDialogMethod updated).

2006-03-06 romain
* translate message return by scripts in erp5_core.

2006-03-04 jerome
* Return translated_simulation_state_title in Resource_zGetMovementHistoryList

2006-03-03 Seb
* Commit Guillaume's fix to Resource_zGetTrackingList

2006-03-02 romain
* Correct Folder_paste.

2006-02-28 aurel
* add Domain Generator Method field in BaseDomain_view
* modify ERP5Site_reindexAll to reindex domains

2006-02-27 Romain
* Modify Base_edit. Save simple fields before relation_fields (in order to use interaction workflow).

2006-02-24 Seb
* cut this business template in several small
parts (erp5_base, erp5_html_style, erp5_pdf_style, erp5_csv_style)

2006-02-24 yo
* Use PasswordField instead of StringField for User Password in Person_viewDetails.

2006-02-23 kevin
* Add precision on currencies.

2006-02-22 kevin
* Fix bad default lisbox parameters.

2006-02-22 jerome
* reraise error in allowed content type drop down menu

2006-02-22 romain
* Modify field_render

2006-02-21 romain
* Modify ERP5Site_createModule

2006-02-20 romain
* remove action translate on Person.
* display translated state for Organisation.

2006-02-18 aurel
* add portal type Base Domain, Domain and Domain Tool

2006-02-08 yo
* Add .figure into erp5.css.
* Add Base_FieldLibrary into the skin folder.

2006-02-08 aurel
* modify TemplateTool_viewMultiInstallationDialog and TemplateTool_getModifiedObjectList

2006-02-03 aurel
* modify Base_getWorkflowHistoryItemList

2006-02-02 aurel
* modify Base_getWorkflowHistorySectionList and Base_viewWorkflowHistory

2006-02-01 kevin
* Delete all jump menus defined on Organisation module: they are just shortcuts to other modules.
* Same on Person module.
* Reorder Bank Account tabs.

2006-02-01 aurel
* add parameters to script TemplateTool_downloadRepositoryBusinessTemplateList

2006-02-01 jerome
* catch validation faileds on workflow validations and put them in portal status message

2006-02-01 aurel
* modify Base_callViewDialogMethod

2006-01-31 jerome
* implement preference workflow the right way, fix a bug in a guard.

2006-01-31 aurel
* change my by your in some TemplateTool skins and modify Base_callDialogMethod to take this change into account

2006-01-31 aurel
* fix compution of number of column in index_html

2006-01-31 jerome
* quick hack to make listbox rendering in report tree / domain tree work again.

2006-01-31 aurel
* fix TemplateTool_installBusinessTemplateListAction

2006-01-31 Kevin
* add **kw parameter to TemplateTool_installRepositoryBusinessTemplateList

2006-01-31 yo
* Fix OrganisationModule_viewOrganisationList and PersonModule_viewPersonList to use translated titles or plain titles.

2006-01-30 jerome
* added support for workflow validation in list mode (see Accounting Transaction Module for an example of how to use it)

2006-01-30 jerome
* modify Organisation_viewDetails to add a listbox for Accounting Periods.

2006-01-30 aurel
* change name of some actions

2006-01-27 aurel
* add action to create module

2006-01-26 Jerome
* added Base_uniqueReferenceInFolderValidator python script for my_reference fields validators.
* make sure two currencies with the same reference do not exist.

2006-01-26 Romain
* modify Base_edit to call field_editor after saving the matrixbox.

2006-01-26 Aurel
* add some actions

2006-01-23 Alex
* simplified Bank Accounts
* added support for Portal Type Role Definitions

2006-01-23 JPS
* Added support for legal_parent, natural_parent and insurance base categories

2006-01-23 Aurel
* check category_list is a list in ERP5Type_asSecurityGroupId

2006-01-23 Alex
* Added "Add portal folders" permission for Author in Base_setDefaultSecurity

2006-01-21 JP
* Added Base_jumpToRelationObject to ease the implementation of jump menus
* Added support for user based role assignment (ERP5Type_getSecurityCategoryFromArrow)

2006-01-20 JP & Jerome
* Added document template initial support to Base_doAction and erp5_html_style

2006-01-20 Kevin
* Replace Translation Service by Localizer in: erp5_core/Base_TranslateString, erp5_core/ERP5Site_updateTranslationTable, erp5_csv_style/Listbox_exportCsv, erp5_html_style/form_html, erp5_html_style/view_master.xml, erp5_pdf_style/form_view, erp5_pdf_style/listbox_pdf_macro, erp5_pdf_style/report_pdf and erp5_pdf_style/report_view.
* ERP5Site_getModuleItemList cleaned.

2006-01-19 alex
* included result of "guess properties" script
* added constraints to BT_viewDetail

2006-01-18 aurel
* modify TemplateTool_viewInstallRepositoryBusinessTemplateListDialog and add TemplateTool_getModifiedObjectList, TemplateTool_installBusinessTemplateListAction, TemplateTool_viewMultiInstallationDialog to manage multi installation of business templates

2006-01-14 yo
* Add new skins TemplateTool_viewInstallRepositoryBusinessTemplateListDialog, TemplateTool_viewUpgradeRepositoryBusinessTemplateListDialog and TemplateTool_installRepositoryBusinessTemplateList.
* Add new actions install_from_repository and upgrade_from_repository into Template Tool.
* Adjust the priorities of the actions of Template Tool.

2006-01-13 aurel
* modify UI of Business Template

2006-01-13 yo
* Add classes for tr into erp5.css

2006-01-07 jerome
* enable auto-login feature
* fix preference UI to set priority

2006-01-06 Romain
* modify Resource_zGetInventory, Resource_zGetInventoryList
* add Resource_zGetMovementHistoryList
* remove Resource_viewInventory

2006-01-02 aurel
* rename field in BusinessTemplate_viewDetail

2005-12-30 aurel
* remove old view for diff
* modified BusinessTemplate_getDiffUrl, TemplateTool_viewDiff
* add BusinessTemplate_getDiffObjectList,

2005-12-29 aurel
* reindex trash bins in ERP5Site_reindexAll

2005-12-29 jerome
* update Resource_zGetInventory(List) to take into account changes in the stock table.
* bug fix: Organisation default currency is "price_currency". updated Organisation_viewDetails.

2005-12-29 aurel
* add new forms for Business Template to manage new properties and nw upgrade way
* define Business Template actions in order to update them easily
* save and exportof Business Template are now object_exchange

2005-12-28 jerome
* bug fix form_view and dialog_master for i18n

2005-12-22 yo
* Add an optional parameter passive_commit to InventoryModule_reindexMovementList and ERP5Site_reindexAll. passive_commit is passed to reindexObject and recursiveReindexObject.
* index_html does load local_pt any longer, but directly defines slots.

2005-12-21 Kevin
* "Section Category" in AccountingPreferences_view is no longer required.
* Display None category in Section Category list of Preference_view form.
* Add default_site_preference from erp5_accounting.

2005-12-20 jerome
* replace id by reference for Currency Code in the UI.

2005-12-20 yo
* Add an optional parameter sql_catalog_id into ERP5Site_reindexAll, ERP5Site_updateTranslationTable, and InventoryModule_reindexMovementList, and pass sql_catalog_id to catalog methods.
* ERP5Site_updateTranslationTable does not use Translation_addMessage or Translation_delete any longer. Instead, use portal_catalog.
* Remove Translation_addMessage and Translation_delete.

2005-12-19 Seb
* added sub_variation_text in Resource_zGetInventoryList
* added category type 'sub_variation' on
BaseCategory_view

2005-12-19 Jerome
* fix omit_input / omit_output in Resource_zStatInventory.

2005-12-18 yo
* Add License and Copyright to BusinessTemplate_view.
* Write the license and the copyright of this template.

2005-12-18 yo
* The portal type Preference does not need to specify PropertySheets in the portal type, since they are defined in the product.
* Add skins and actions for repository support.

2005-12-18: jérome
* i18n : added Base_FormatDate, updated Base_TranslateString to use mapping.

2005-12-16 aurel:
* modify BusinessTemplate_getModifiedObject

2005-12-15 aurel
* Change the name
BusinessTemplate_installationChoice,
BusinessTemplate_diffTwoObjects, TemplateTool_diffBusinessTemplate
to BusinessTemplate_viewInstallationDialog,
BusinessTemplate_viewObjectsDiff, TemplateTool_viewDiff

2005-12-15 yo
* Change the names TemplateTool_downloadBusinessTemplate and TemplateTool_importBusinessTemplate to TemplateTool_viewDownloadBusinessTemplateDialog and  ERP5 Form
TemplateTool_viewImportBusinessTemplateDialog respectively, according to the naming convention.

2005-12-14 yo
* Resource_zGetInventory and Resource_zGetInventoryList must use stock.mirror_node_uid instead of inventory_movement.destionation_uid.

2005-12-14 aurel
* fix naming convention
* set default value of form_id in Base_cancel

2005-12-13 aurel
* Update way of install Business Template
- add Trash type
- modify Workflow_statusModiify
- add Forms and Scripts in erp5_core
* Change in script of rule_interraction_workflow

2005-12-13 romain
* Fix Base_edit (when displaying multiple matrixbox)

2005-12-08 yo
* Fix the LEFT JOIN syntax in Resource_zGetInventory and Resource_zGetInventoryList.

2005-12-08 Kevin
* Transform tuple to list to let ERP5Type_asSecurityGroupId do a sort.

2005-12-07 yo
* New skins: erp5_html.css and  form_html for PDF editing.

2005-12-04 Jean-Paul
* Made a minimal and somehow broken implementation of global search box (top right) to prevent displaying uggly search results. Improving it requires redirection and filtering

2005-11-25 Jérome
* hook manage_afterClone in rule_interraction workflow,  as "Later Script" (ie activity) because it is called too soon and some scripts are not available yet.

2005-11-30 yo
* portal_assignment_base_category_list is removed.
* Portal Types are modified for groups.

2005-11-30 yo
* BaseCategory_view supports category types.

2005-11-30 yo
* AccountingPreferences_view uses my_preferred_accounting_transaction_gap instead of my_gap.

2005-11-25 Jérome
* hook manage_afterClone in rule_interraction workflow, so that matrix is updated on installation

2005-11-23 Romain
* added getPortalSupplyTypeList to the acquisition portal type of the base category resource.

2005-11-22 Alex
* use getDefaultModule() in a script instead of statically using a module id.

2005-11-22 Jérome
* added proxy roles in simulation_movement_interaction_workflow/SimulationMovement_editDeliveryValue
* bug fix rule_interaction_workflow, it was hooking manage_delObject (without s)

2005-11-21 yo
* breadcrumbs translates the first two titles with ui instead of content. Disable the translation of the rest for now.

2005-11-18 yo
* ERP5Type_getSecurityCategoryFromAssignment should not return None

2005-11-16 Seb
* Removed the limit of 1000 in
Resource_zGetInventoryList

2005-11-16 Aurélien
* Correct naming convention

2005-11-15 Kevin
* In InventoryModule_reindexMovementList script, change portal_catalog() sort_on parameter from [('start_date','ascending')] to [('movement.start_date','ascending')]

2005-11-15 Romain
* remove some useless/not implemented actions on some portal types.

2005-11-15 Aurélien
* added action diff on portal_type Template_Tool
* added form TemplateTool_diffBusinessTemplate in erp5_core

2005-11-15 Jérome
* renamed person, organisation and currency module
* added comment on CurrencyModule_getCurrencyItemList to explain why it uses id and not title

2005-11-10 Alex
* added mapping base_category

2005-11-08 Romain
* replace Base_viewHistory template by a erp5 report.
* modify Base_edit in order to display multiples matrixbox on the same form.

2005-11-08 Kevin
* Replace 'self' by 'context' in Person_updateUserSecurityGroup.

2005-11-07 Kevin
* Delete Base_assignLocalRole.

2005-11-07 Alex
* Added source_trade and destination_trade categories

2005-11-05 yo
* Modify erp5.js and login_form to set a focus automatically.

2005-11-05 Kevin
* Add portal_assignment_base_category_list site property.
* Use getPortalAssignmentBaseCategoryList() in Person_updateUserSecurityGroup to get the list of base categories used on assignments to create security groups.
* Bypass Person_updateUserSecurityGroup if PAS is used.

2005-11-04 Kevin
* Update Base_getUserAssignmentList, ERP5Type_getSecurityCategoryFromAssignment and Person_updateUserSecurityGroup to support both NuxUserGroup and PluggableAuthService.
* Add User Login & Password on Person_viewDetails form.
* Add role/internal category because it's absolutely necessary to make ERP5Security product working.
* Add Male and Female gender categories.

2005-11-03 Kevin
* Change some object's title to respect ERP5 naming conventions.

2005-11-02 Romain
* make erp5_html_style a bit more generic.

2005-10-31 Kevin
* ERP5Site_checkNamingConventions now check Portal Types

2005-10-31 Jérome
* bug fix in ERP5Site_getModuleItemList, cache was rebuilt on each request
* remove all bare except:
* (yo) remove calls to flushActivity in Base_edit

2005-10-28 Kevin
* take care of form titles and workflow state titles in ERP5Site_checkNamingConventions
* check characters validity in ERP5Site_checkNamingConventions

2005-10-27 Kevin
* change bank_account_workflow variable state to validation_state
* (Guy) add
ERP5Site_viewCreateModuleScribusDialog and ERP5Site_createModuleScribus

2005-10-27 Romain
* correct OrderBuilder_view

2005-10-24 Seb
* Fixed acquisition on base category
variation

2005-10-17 Jérome
* added Base_getFormViewDialogActionButtonTitle,  mainly for workflow validation dialog

2005-10-20 Alex
* added Credit Card
* renamed Entity_viewBankAccount to Entity_viewFinancialInformationList

2005-10-18 Kevin
* Klaus: re-update of Folder_create

2005-10-17 Jérome
* added Simulation Tool portal type and set allowed content types for this.

2005-10-17 Kevin
* cleaning of Currency module: add history/metadate/print action, add edit_worflow
* Klaus: update Folder_create to catch NoAllowedContentTypesError exception
* Klaus: delete modifications of Folder_create

2005-10-15 Kevin
* change acquisition setup of function category to follow budget module needs

2005-10-14 yo
* Folder_delete is fixed to prevent a potential infinite loop
* TemplateTool_viewBusinessTemplateList uses objectValues instead of portal_catalog

2005-10-10 yo
* Remove the portal type Business Template and the workflows business_template_building_workflow and business_template_installatoin_workflow. You *must not* include them in erp5_core.

2005-10-08 Jérome
* call ERP5Site_updateTranslationTable in ERP5Site_reindexAll

2005-10-07 Romain
* add workflows business_template_building_workflow and business_template_installation_workflow

2005-10-07 Seb
* Changed the alias of movement in Resource_zGetInventoryList to make sure there is no conflict with an alias made by buildSqlQuery

2005-10-07 Kevin
* Add missing Translation_addMessage and Translation_delete ZSQLMethods

2005-10-07 Romain
* on portal type Organisation, remove property sheet Organisation.
* on portal type Product, remove property sheet Reference.
* change variable names in business_template_installation_workflow and business_template_building_workflow.

2005-10-05 Seb
* Changed the alias of movement in Resource_zGetInventory to make sure there is no conflict with an alias made by buildSqlQuery

2005-10-05 Kevin
* add ERP5Site_updateTranslationTable script

2005-09-28 Jérome
* allow to filter the list of module in the main page and the drop down list

2005-09-28 Kevin
* Exclude "--" string from translation in drop-down menus

2005-09-28 Jérome
* bug fix in CurrencyModule_getCurrencyItemList

2005-09-27 Seb
* modified simulation_movement_interaction_workflow

2005-09-27 kevin
* Add cash icons.

2005-09-27 yo
* ERP5Site_reindexAll does not use specify activate directly.

2005-09-20 Kevin
* Update call of security scripts in Person_updateUserSecurityGroup.

2005-09-19 Kevin
* Update ERP5TypeSecurity_asGroupId to raise an exception when category used to generate local securoty roles doesn't exist.
* Automatical sort of categories during the creation of security group, in order to have coherent group id.
* Rename security scripts to follow ERP5 naming convention.
* Raise RuntimeError instead of ValidationFailed in security related scripts.

2005-09-13 Romain
* Added new view to BusinessTemplate: BusinessTemplate_viewDiff

2005-09-10 Seb
* Added Business Template Portal Type

2005-09-08 Jérome
* fix Base_callDialogMethod to edit selection params in search dialogs

2005-09-07 Jérome
* remove calls to flushActivity in Base_edit. WARNING: this can cause reindexing problems.

2005-09-02 Jérome
* Add rule_interaction_workflow for predicate

2005-09-01 Kevin
* Add a workflow on Assignments

2005-08-31 Kevin
* Fix some (not all) Career related problems

2005-08-29 Seb
* Fixed small problem in Resource_zGetInventory thanks to Guillaume

2005-08-26 Kevin
* Change Base_callDialogMethod to include Moussa's modification against Bug #38

2005-08-26 Romain
* ERP5Site_reindexAll now index portal_deliveries and portal_orders.
* Remove my_id field in Organisation_view.
* Replace on portal type Category Tool the action List Folder_list by Folder_viewContentList.

2005-08-25 Romain
* Move category industrial_phase to erp5_pdm

2005-08-23 Kevin
* Sort salary_level categories by "int_index"

2005-08-23 Romain
* Move category industrial_phase from erp5_apparel

2005-08-18 Jérome
* Add portal_preference and all dependencies

2005-08-17 Romain
* Add form for OrderBuilder.

2005-08-16 Kevin
* Add Person Birth Name.

2005-08-12 Kevin
* Set acquisition of Function base category from Sync Value to Mask Value.
* Update acquisition of Skill base category to make it working on Career.
* Update some Person forms to make getSubordination(), getGrade(), getRole() and so on working through default career acquisition.

2005-08-10 Kevin
* Re-add function on Careers.
* Make first-level aquisition on Career working.
* Salary-level on Careers is now a category.

2005-08-09 Jérome
* work on CSV style: fix utf8 problems, set the correct Content-Type and add a simple form_view that renders only the ListBox called 'listbox' (this can be improved, but at least it "works" for most simple cases).

2005-08-09 Kevin
* add career_workflow.

2005-08-05 Jérome
* provide user a nice error message when  he cannot delete an object.
* remove portal_type limitation to Mail Message in Base_viewSearchResultList/listbox , in order to make worklist work.

2005-08-03 Jérome
* take care of accounting module renaming.

2005-07-28 Kevin
* Importation of category trees using OOo now support unicode.

2005-07-27 Romain
* Added Order Builder portal type.
* Modified Order Tool portal type.

2005-26-07 Sébastien
* updates Resource_zGetInventoryList.

2005-13-07 Sébastien
* disable simulation_movement_interaction_workflow until it works well.

2005-10-07 Jérome
* security workaround in Base_edit (quick fix to be removed).
* moved simulation_movement_interaction_workflow from erp5_trade, because of wf chains.

2005-06-30, Kevin
* add signature image on Bank Account Agent.
* update person details view.

2005-06-23, Kevin
* bank_account_workflow added from baobab project.

2005-06-20, Kevin
* Bugs eradicated in the core script used by the portal_categories fast input.
* Add the full region classification.

2005-06-08
* Add the script  Resource_hashVariationCategoryItemList in erp5_core.
* Modify variables name in validation workflow.
* Modify Base_edit for SupplyLine.
* Move SupplyCell to erp5_trade.

2005-06-07
* Add a fast input for portal_categories.
* Change Person_viewDetails to add partners & children.

2005-05-05
* Modify DeliveryBuilder_view.

2005-04-29
* Updated logo.

2005-04-20
* Little improvements of ERP5Site_createModule.

2005-04-18
* Add portal type: DeliveryBuilder, DeliveryTool, OrderTool, RouteTool.
* Add ZSQLMethod: Delivery_zIsDivergent.

2005-04-06
* Add base categorie from erp5_apparel_depend: origin.

2005-04-06
* Add base categories from erp5_trade, erp5_accounting: destination_administration, destination_decision, destination_payment, source_administration, source_decision, source_payment.